// ************************************************************************
// ** Industrial Skin and Bone Shader File				 **
// ** Cold Metal by Geit (decreed_decadence@hotmail.com)		 **
// ** 			 (geit@sletje.com)				 **
// **									 **
// ** (http://goat.gamepoint.net/)					 **
// **									 **
// ** All shaders not by Sock or Kabal are made by Geit.		 **
// ** Either alterations of existing textures/shaders or made from 	 **
// ** scratch.								 **
// **									 **
// ** Geit - http://goat.gamepoint.net/					 **
// ** Sock - http://www.planetquake.com/simland/			 **
// ************************************************************************
//
// Shader Index:
// textures/geit/industrial_comp			- Geit
// textures/geit/lig_032-05y2-2k			- Sock
// textures/geit/lighttrick_yellow_75			- Geit
// textures/geit/industral_lighttrick_yellow_50		- Geit
// textures/geit/lig_032-05r2-2k			- Sock
// textures/geit/lig_064-03r1-2k			- Sock
// textures/geit/lig_064-05y2-2k			- Sock
// textures/geit/lig_064-05r2-2k			- Sock
// textures/geit/chain1					- Kabal
// textures/icyhell/icyhell_skybox			- Sock
// textures/tech1soc_sfx/jpred_floor01b			- Sock
// textures/tech1soc_sfx/jpred_floor01d			- Sock
// textures/tech1soc_sfx/lig_032-01r2-2k		- Sock
// textures/tech1soc_sfx/lig_064z-01r2-2k		- Sock
// textures/tech1soc_sfx/lig_064z-01r2-2k		- Sock
// textures/tech1soc_sfx/lig_064z-01y2-2k		- Sock
// textures/tech1soc_sfx/lig_128-02r1-2k		- Sock
// textures/tech1soc_sfx/lig_128-03r2-2k		- Sock
// textures/tech1soc_sfx/lig_128-03y2-2k		- Sock
// textures/geit/goat_flag				- Geit

textures/geit/industrial_comp
{
	qer_editorimage textures/base_wall/q3tourney1.tga
        q3map_surfacelight 100
	
	

	{
		animMap .25 textures/geit/industrial_comp_1.tga textures/geit/industrial_comp_2.tga textures/geit/industrial_comp_1.tga
		rgbGen wave sawtooth 0 1 0 .25
	
	}

	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25 
	}

	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}

	{
		map textures/base_wall/comp3frame.tga
		blendfunc blend
		rgbgen identity
	}

	{
		map $lightmap
	        blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	          		
} 

textures/geit/lig_032-05y2-2k
{
	qer_editorimage textures/tech1soc_sfx/032lig20yb.tga
	q3map_lightimage textures/tech1soc_sfx/032lig20y.blend.tga
	q3map_surfacelight 150
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/032lig20yb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/032lig20y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/geit/lighttrick_yellow_75
{
	qer_editorimage textures/geit/g_industrial_light0.tga
	q3map_lightimage textures/geit/g_industrial_light0.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 80

	skyparms - - -
	light 1
}

textures/geit/industral_lighttrick_yellow_50
{
	qer_editorimage textures/geit/g_industrial_light1.tga
	q3map_lightimage textures/geit/g_industrial_light1.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 50

	skyparms - - -
	light 1
}

textures/geit/lig_032-05r2-2k
{
	qer_editorimage textures/tech1soc_sfx/032lig20rb.tga
	q3map_lightimage textures/tech1soc_sfx/032lig20r.blend.tga
	q3map_surfacelight 150
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/032lig20rb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/032lig20r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/geit/lig_064-03r1-2k
{
	qer_editorimage textures/tech1soc_sfx/064lig22ra.tga
	q3map_lightimage textures/tech1soc_sfx/064lig22r.blend.tga
	q3map_surfacelight 150
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/064lig22ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/064lig22r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/geit/lig_064-05y2-2k
{
	qer_editorimage textures/tech1soc_sfx/064lig30yb.tga
	q3map_lightimage textures/tech1soc_sfx/064lig30y.blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/064lig30yb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/geit/lig_064-05r2-2k
{
	qer_editorimage textures/tech1soc_sfx/064lig30rb.tga
	q3map_lightimage textures/tech1soc_sfx/064lig30r.blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/064lig30rb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/geit/chain1
{
	qer_editorimage textures/geit/chain.tga
	deformVertexes autoSprite2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable

	{
		map textures/geit/chain.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/icyhell/icyhell_skybox
{
	qer_editorimage textures/icyhell/icyhell_img.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_sun .8 .6 .6 100 30 45      
	q3map_surfacelight 100

        skyparms env/icyhell/icyhell - -
}

textures/tech1soc_sfx/jpred_floor01b
{
	qer_editorimage textures/tech1soc_floor/jp01b.tga
	q3map_lightimage textures/tech1soc_sfx/jumppadsmall_r.tga	
	q3map_surfacelight 400
	{
		map textures/tech1soc_sfx/red_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/tech1soc_sfx/jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/tech1soc_floor/jp01b.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/tech1soc_sfx/jpred_floor01d
{
	qer_editorimage textures/tech1soc_floor/jp01d.tga
	q3map_lightimage textures/tech1soc_sfx/jumppadsmall_r.tga	
	q3map_surfacelight 400
	{
		map textures/tech1soc_sfx/red_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/tech1soc_sfx/jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/tech1soc_floor/jp01d.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/tech1soc_sfx/lig_032-01r2-2k
{
	qer_editorimage textures/tech1soc_sfx/032lig10rb.tga
	q3map_lightimage textures/tech1soc_sfx/032lig10r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/032lig10rb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/032lig10r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/tech1soc_sfx/lig_064z-01r2-2k
{
	qer_editorimage textures/tech1soc_sfx/zdetlig01rb.tga
	q3map_lightimage textures/tech1soc_sfx/zdetlig01r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/zdetlig01rb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/zdetlig01r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/tech1soc_sfx/lig_064z-01y2-2k
{
	qer_editorimage textures/tech1soc_sfx/zdetlig01yb.tga
	q3map_lightimage textures/tech1soc_sfx/zdetlig01y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/zdetlig01yb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/zdetlig01y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/tech1soc_sfx/lig_128-02r1-2k
{
	qer_editorimage textures/tech1soc_sfx/sqrlig03ra.tga
	q3map_lightimage textures/tech1soc_sfx/sqrlig03r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/sqrlig03ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/sqrlig03r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/tech1soc_sfx/lig_128-03r2-2k
{
	qer_editorimage textures/tech1soc_sfx/octlig01rb.tga
	q3map_lightimage textures/tech1soc_sfx/sqrlig02r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/octlig01rb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/sqrlig02r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/tech1soc_sfx/lig_128-03y2-2k
{
	qer_editorimage textures/tech1soc_sfx/octlig01yb.tga
	q3map_lightimage textures/tech1soc_sfx/sqrlig02y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/octlig01yb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/sqrlig02y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/geit/goat_flag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/geit/goat_flag.tga
		rgbGen identity
	}
        {
		map textures/geit/blackflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/geit/goat_flag.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}